#ifndef	__BMPTYPE_H
#define	__BMPTYPE_H

typedef unsigned char  byte;
typedef unsigned short word;
typedef unsigned long  dword;

/* an RGB palette entry */

typedef struct
{
	byte    red;
	byte    green;
	byte    blue;
}
rgb_palette_type;

/* Win 3.x BMP data structures */

typedef struct
{
	word        bfType;
	dword       bfSize;
	word        bfReserved1;
	word        bfReserved2;
	dword       bfOffBits;
}
bmp_fileheader_type;

typedef struct
{
	byte        rgbBlue;
	byte        rgbGreen;
	byte        rgbRed;
	byte        rgbReserved;
}
bmp_rgbquad_type;

typedef struct
{
	dword       biSize;
	long        biWidth;
	long        biHeight;
	word        biPlanes;
	word        biBitCount;
	long        biCompression;
	dword       biSizeImage;
	long        biXpelsPerMeter;
	long        biYpelsPerMeter;
	dword       biClrUsed;
	dword       biClrImportant;
}
bmp_infoheader_type;

#endif	//	#define	__BMPTYPE_H
